package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.common.module.utils.HttpUtils2;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;

@Component
public class KFXAccessTokenJob {

    @XxlJob("refreshAccessToken")
    public void refreshAccessToken() {

        String url = "http://ruixuan.api.bjhcstszkj.cn/item/accessToken";
        HttpUtils2.httpGet(url, null, null);

        String mgsUrl = "http://mgs.api.bjhcstszkj.cn/item/accessToken";
        HttpUtils2.httpGet(mgsUrl, null, null);

        String rocketUrl = "http://rocket.api.bjhcstszkj.cn/item/accessToken";
        HttpUtils2.httpGet(rocketUrl, null, null);

        String yufuUrl = "http://yufu.api.bjhcstszkj.cn/item/accessToken";
        HttpUtils2.httpGet(yufuUrl, null, null);

        String yuxiuUrl = "http://yuxiu.api.bjhcstszkj.cn/item/accessToken";
        HttpUtils2.httpGet(yuxiuUrl, null, null);

        String zhishuiUrl = "http://zhishui.api.bjhcstszkj.cn/item/accessToken";
        HttpUtils2.httpGet(zhishuiUrl, null, null);

        String jyUrl = "http://ruixuan.api.bjhcstszkj.cn/item/jyAccessToken";
        HttpUtils2.httpGet(jyUrl, null, null);
    }

    @XxlJob("refreshKwaixiaodianAccessToken")
    public void refreshKwaixiaodianAccessToken() {
        String url = "http://ruixuan.api.bjhcstszkj.cn/item/kwaixiaodianAccessToken";
        HttpUtils2.httpGet(url, null, null);

        String jstUrl = "http://ruixuan.api.bjhcstszkj.cn/kwaixiaodian/jst/refreshToken";
        HttpUtils2.httpGet(jstUrl, null, null);
    }


}
